Bug 18073 - Holds to pull UI improvements
Summary: Holds to pull UI improvements
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Josef Moravec
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 18079
  Show dependency treegraph
 
Reported: 2017-02-07 14:54 UTC by Mike
Modified: 2017-02-14 19:28 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18073: Holds to pull table enhancement (8.68 KB, patch)
2017-02-08 06:52 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18073: Holds to pull table enhancement (8.19 KB, patch)
2017-02-08 08:51 UTC, Josef Moravec
Details | Diff | Splinter Review
Screenshot of problem with column visibility (10.13 KB, image/jpeg)
2017-02-08 21:21 UTC, Katrin Fischer
Details
[SIGNED OFF] Bug 18073: Holds to pull table enhancement (8.32 KB, patch)
2017-02-08 21:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 18073: Followup - don't use CONCAT_WS (2.48 KB, patch)
2017-02-09 13:10 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18073: Holds to pull table enhancement (8.41 KB, patch)
2017-02-09 14:30 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18073: Followup - don't use CONCAT_WS (2.57 KB, patch)
2017-02-09 14:30 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mike 2017-02-07 14:54:40 UTC
Hello,

our library very often use Hold to pull by Ui has some limitation. We miss column "Reserved by" but "Available enumeration" aren¨t useful for our reasons. So, can we make some improvemnts like columns visibility and add Reserved by?

Lets talk about it.

Thanks

Mike
Comment 1 Josef Moravec 2017-02-08 06:52:07 UTC
Created attachment 60004 [details] [review]
Bug 18073: Holds to pull table enhancement

Test plan:
0) apply the patch
1) enable on shelf hold in administration -> circulation and fines rules
2) create some holds on avalaible items
3) go to administration -> columns settings and confirm there is new holds-to-pull table in circulation section
4) go to circulation -> holds to pull page and confirm that
    4a) that the page does work as before
    4b) there is ne "Column visibility" button in datatable toolbar
    4c) the column configuration does work as expected
    4d) there is new column "First patron" with link to patron which is
        first in holds queue for given record
    4e) sorting works ax expected
    4f) filters (in teh bottom of table) work as expected
Comment 2 Josef Moravec 2017-02-08 08:51:34 UTC
Created attachment 60006 [details] [review]
Bug 18073: Holds to pull table enhancement

Test plan:
0) apply the patch
1) enable on shelf hold in administration -> circulation and fines rules
2) create some holds on avalaible items
3) go to administration -> columns settings and confirm there is new holds-to-pull table in circulation section
4) go to circulation -> holds to pull page and confirm that
    4a) that the page does work as before
    4b) there is ne "Column visibility" button in datatable toolbar
    4c) the column configuration does work as expected
    4d) there is new column "First patron" with link to patron which is
        first in holds queue for given record
    4e) sorting works ax expected
    4f) filters (in teh bottom of table) work as expected
Comment 3 Katrin Fischer 2017-02-08 21:21:24 UTC
Created attachment 60039 [details]
Screenshot of problem with column visibility

Hi Josef, ran into a problem with the column visibility (see screenshot). Tested together with the patch for bug 18079.
Comment 4 Katrin Fischer 2017-02-08 21:29:55 UTC
Back to testing - realized I forgot to pull latest changes from master and also missed some database updates. Now it started working!
Comment 5 Katrin Fischer 2017-02-08 21:39:44 UTC
Created attachment 60040 [details] [review]
[SIGNED OFF] Bug 18073: Holds to pull table enhancement

Test plan:
0) apply the patch
1) enable on shelf hold in administration -> circulation and fines rules
2) create some holds on avalaible items
3) go to administration -> columns settings and confirm there is new holds-to-pull table in circulation section
4) go to circulation -> holds to pull page and confirm that
    4a) that the page does work as before
    4b) there is ne "Column visibility" button in datatable toolbar
    4c) the column configuration does work as expected
    4d) there is new column "First patron" with link to patron which is
        first in holds queue for given record
    4e) sorting works ax expected
    4f) filters (in teh bottom of table) work as expected

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Works nicely!

https://bugs.koha-community.org/show_bug.cgi?id=18079
Comment 6 Josef Moravec 2017-02-09 13:10:59 UTC
Created attachment 60069 [details] [review]
Bug 18073: Followup - don't use CONCAT_WS
Comment 7 Marcel de Rooy 2017-02-09 14:30:13 UTC
Created attachment 60076 [details] [review]
Bug 18073: Holds to pull table enhancement

Test plan:
0) apply the patch
1) enable on shelf hold in administration -> circulation and fines rules
2) create some holds on avalaible items
3) go to administration -> columns settings and confirm there is new holds-to-pull table in circulation section
4) go to circulation -> holds to pull page and confirm that
    4a) that the page does work as before
    4b) there is ne "Column visibility" button in datatable toolbar
    4c) the column configuration does work as expected
    4d) there is new column "First patron" with link to patron which is
        first in holds queue for given record
    4e) sorting works ax expected
    4f) filters (in teh bottom of table) work as expected

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Works nicely!

https://bugs.koha-community.org/show_bug.cgi?id=18079

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 8 Marcel de Rooy 2017-02-09 14:30:20 UTC
Created attachment 60077 [details] [review]
Bug 18073: Followup - don't use CONCAT_WS

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 9 Kyle M Hall 2017-02-14 13:48:02 UTC
Pushed to master for 17.05, thanks Josef!
Comment 10 Katrin Fischer 2017-02-14 19:28:48 UTC
This won't get ported back to 16.11.x as it is an enhancement.

... but looking forward to see it in 17.05!